Synnefo - Bug # 2003

Status: Closed Priority: High

Author: Vangelis Koukis Category: deployment
Created: 02/06/2012 Assignee: Kostas Papadimitriou
Updated: 10/19/2012 Due date: 02/06/2012

Subject: "import site failed; use -v for traceback" while running python as root

Description

root@machine:~# python -v
# installing zipimport hook
import zipimport # builtin
# installed zipimport hook
# /usr/lib/python2.6/site.pyc matches /usr/lib/python2.6/site.py
import site # precompiled from /ust/lib/python2.6/site.pyc
# /usr/lib/python2.6/0s.pyc matches /ust/lib/python2.6/0s.py
import os # precompiled from /usr/lib/python2.6/os.pyc
import errno # builtin
import posix # builtin
# /usr/lib/python2.6/posixpath.pyc matches /usr/lib/python2.6/posixpath.py
import posixpath # precompiled from /usr/lib/python2.6/posixpath.pyc
# /usr/lib/python2.6/stat.pyc matches /usr/lib/python2.6/stat.py
import stat # precompiled from /usr/lib/python2.6/stat.pyc
# /usr/lib/python2.6/genericpath.pyc matches /ust/lib/python2.6/genericpath.py
import genericpath # precompiled from /usr/lib/python2.6/genericpath.pyc
# /usr/lib/python2.6/warnings.pyc matches /ust/lib/python2.6/warnings.py
import warnings # precompiled from /usr/lib/python2.6/warnings.pyc
# /usr/lib/python2.6/linecache.pyc matches /usr/lib/python2.6/linecache.py
import linecache # precompiled from /usr/lib/python2.6/linecache.pyc
# /usr/lib/python2.6/types.pyc matches /usr/lib/python2.6/types.py
import types # precompiled from /usr/lib/python2.6/types.pyc
# /usr/lib/python2.6/UserDict.pyc matches /usr/lib/python2.6/UserDict.py
import UserDict # precompiled from /ust/lib/python2.6/UserDict.pyc
# /usr/lib/python2.6/_abcoll.pyc matches /usr/lib/python2.6/_abcoll.py
import _abcoll # precompiled from /usr/lib/python2.6/_abcoll.pyc
# /usr/lib/python2.6/abc.pyc matches /ust/lib/python2.6/abc.py
import abc # precompiled from /usr/lib/python2.6/abc.pyc
# /usr/lib/python2.6/copy_reg.pyc matches /usr/lib/python2.6/copy_reg.py
import copy_reg # precompiled from /usr/lib/python2.6/copy_reg.pyc
'import site' failed; traceback:
Traceback (most recent call last):
File "/usr/lib/python2.6/site.py", line 525, in <module>
main()
File "/usr/lib/python2.6/site.py", line 508, in main
known_paths = addsitepackages(known_paths)
File "/usr/lib/python2.6/site.py", line 291, in addsitepackages
addsitedir(sitedir, known_paths)
File "/usr/lib/python2.6/site.py", line 178, in addsitedir
addpackage(sitedir, name, known_paths)
File "/usr/lib/python2.6/site.py", line 148, in addpackage
exec line
File "<string>", line 1, in <module>
KeyError: 'synnefo’
import encodings # directory /usr/lib/python2.6/encodings
# /usr/lib/python2.6/encodings/__init__.pyc matches /usr/lib/python2.6/encodings/__init__.py
import encodings # precompiled from /ustr/lib/python2.6/encodings/__init__.pyc
# /usr/lib/python2.6/codecs.pyc matches /usr/lib/python2.6/codecs.py
import codecs # precompiled from /usr/lib/python2.6/codecs.pyc
import _codecs # builtin
# /usr/lib/python2.6/encodings/aliases.pyc matches /ust/lib/python2.6/encodings/aliases.py
import encodings.aliases # precompiled from /usr/lib/python2.6/encodings/aliases.pyc
# /usr/lib/python2.6/encodings/latin_1.pyc matches /usr/lib/python2.6/encodings/latin_1.py
import encodings.latin_1 # precompiled from /usr/lib/python2.6/encodings/latin_1.pyc
Python 2.6.6 (r266:84292, Dec 26 2010, 22:31:48)
[GCC 4.4.5] on linux2
Type "help", "copyright”, "credits" or "license" for more information.
dlopen("/usr/lib/python2.6/lib-dynload/readline.so", 2);
import readline # dynamically loaded from /usr/lib/python2.6/lib-dynload/readline.so

>>>

History

#1 - 02/07/2012 01:16 pm - Vangelis Koukis
- Target version changed from v0.8.0 to v0.9.0

Cannot reproduce, moving to v0.9.

#2 - 04/10/2012 01:30 pm - Kostas Papadimitriou
- Status changed from Assigned to Feedback

It seems that error caused due to erroneous state of python site-packages directory of the specific python installation and it's not directly related to the

synnefo software.

| think we can close it for now.

#3 - 10/19/2012 04:52 pm - Vangelis Koukis
- Status changed from Feedback to Closed
